org.eclipse.net4j.util.om.log

## Class AbstractLogHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.log.AbstractLogHandler

- All Implemented Interfaces:
    OMLogHandler
  Direct Known Subclasses:
    FileLogHandler, PrintLogHandler

      public abstract class AbstractLogHandler
      extends java.lang.Object
      implements OMLogHandler

  An abstract base implementation of a `log handler` that filters log events with a `log level` greater than a configurable `maximum level`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLogHandler()`
    `AbstractLogHandler(OMLogger.Level logLevel)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMLogger.Level` | `getLogLevel()`
    `void` | `logged(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)`
    `void` | `setLogLevel(OMLogger.Level logLevel)`
    `static java.lang.String` | `toString(OMLogger.Level level)`
    `protected abstract void` | `writeLog(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLogHandler

          public AbstractLogHandler(OMLogger.Level logLevel)

    - #### AbstractLogHandler

          public AbstractLogHandler()

  - ### Method Detail

    - #### getLogLevel

          public OMLogger.Level getLogLevel()

    - #### setLogLevel

          public void setLogLevel(OMLogger.Level logLevel)

    - #### logged

          public void logged(OMLogger logger,
                             OMLogger.Level level,
                             java.lang.String msg,
                             java.lang.Throwable t)

      Specified by:
        `logged` in interface `OMLogHandler`

    - #### writeLog

          protected abstract void writeLog(OMLogger logger,
                                           OMLogger.Level level,
                                           java.lang.String msg,
                                           java.lang.Throwable t)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### toString

          public static java.lang.String toString(OMLogger.Level level)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html